HTMLImageElement (XML Standard API)
Keywords: org.w3c.dom.html.HTMLImageElement interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLImageElement

All Superinterfaces:
  Element, HTMLElement, Node

    public interface HTMLImageElement

extends HTMLElement

Embedded image. See the IMG element definition in HTML 4.0.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`java.lang.String` | `getAlt()` Alternate text for user agents not rendering the normal contentof this element.
`java.lang.String` | `getBorder()` Width of border around image.
`java.lang.String` | `getHeight()` Override height.
`java.lang.String` | `getHspace()` Horizontal space to the left and right of this image.
`boolean` | `getIsMap()` Use server-side image map.
`java.lang.String` | `getLongDesc()` URI designating a long description of this image or frame.
`java.lang.String` | `getLowSrc()` URI designating the source of this image, for low-resolution output.
`java.lang.String` | `getName()` The name of the element (for backwards compatibility).
`java.lang.String` | `getSrc()` URI designating the source of this image.
`java.lang.String` | `getUseMap()` Use client-side image map.
`java.lang.String` | `getVspace()` Vertical space above and below this image.
`java.lang.String` | `getWidth()` Override width.
`void` | `setAlign(java.lang.String align)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setBorder(java.lang.String border)`
`void` | `setHeight(java.lang.String height)`
`void` | `setHspace(java.lang.String hspace)`
`void` | `setIsMap(boolean isMap)`
`void` | `setLongDesc(java.lang.String longDesc)`
`void` | `setLowSrc(java.lang.String lowSrc)`
`void` | `setName(java.lang.String name)`
`void` | `setSrc(java.lang.String src)`
`void` | `setUseMap(java.lang.String useMap)`
`void` | `setVspace(java.lang.String vspace)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getLowSrc

    java.lang.String getLowSrc()

  URI designating the source of this image, for low-resolution output.

### setLowSrc

    void setLowSrc(java.lang.String lowSrc)

### getName

    java.lang.String getName()

  The name of the element (for backwards compatibility).

### setName

    void setName(java.lang.String name)

### getAlign

    java.lang.String getAlign()

  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setAlign

    void setAlign(java.lang.String align)

### getAlt

    java.lang.String getAlt()

  Alternate text for user agents not rendering the normal contentof this element. See the alt attribute definition in HTML 4.0.

### setAlt

    void setAlt(java.lang.String alt)

### getBorder

    java.lang.String getBorder()

  Width of border around image. See the border attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setBorder

    void setBorder(java.lang.String border)

### getHeight

    java.lang.String getHeight()

  Override height. See the height attribute definition in HTML 4.0.

### setHeight

    void setHeight(java.lang.String height)

### getHspace

    java.lang.String getHspace()

  Horizontal space to the left and right of this image. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setHspace

    void setHspace(java.lang.String hspace)

### getIsMap

    boolean getIsMap()

  Use server-side image map. See the ismap attribute definition in HTML 4.0.

### setIsMap

    void setIsMap(boolean isMap)

### getLongDesc

    java.lang.String getLongDesc()

  URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0.

### setLongDesc

    void setLongDesc(java.lang.String longDesc)

### getSrc

    java.lang.String getSrc()

  URI designating the source of this image. See the src attribute definition in HTML 4.0.

### setSrc

    void setSrc(java.lang.String src)

### getUseMap

    java.lang.String getUseMap()

  Use client-side image map. See the usemap attribute definition in HTML 4.0.

### setUseMap

    void setUseMap(java.lang.String useMap)

### getVspace

    java.lang.String getVspace()

  Vertical space above and below this image. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setVspace

    void setVspace(java.lang.String vspace)

### getWidth

    java.lang.String getWidth()

  Override width. See the width attribute definition in HTML 4.0.

### setWidth

    void setWidth(java.lang.String width)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.